#!/bin/bash
# multiplication.sh

multiplie ()                    # Multiplie les paramètres passés.
{                               # Acceptera un nombre variable d'arguments.

  local produit=1

  until [ -z "$1" ]             # Jusqu'à la fin de tous les arguments...
  do
    let "produit *= $1"
    shift
  done

  echo $produit                 #  N'affichera pas sur stdout
}                               #+ car cela va être affecté à une variable.

mult1=15383; mult2=25211
val1=`multiplie $mult1 $mult2`
echo "$mult1 X $mult2 = $val1"
                                # 387820813

mult1=25; mult2=5; mult3=20
val2=`multiplie $mult1 $mult2 $mult3`
echo "$mult1 X $mult2 X $mult3 = $val2"
                                # 2500

mult1=188; mult2=37; mult3=25; mult4=47
val3=`multiplie $mult1 $mult2 $mult3 $mult4`
echo "$mult1 X $mult2 X $mult3 X $mult4 = $val3"
                                # 8173300

exit 0
